Page MenuHomePhabricator

[SelectionDAGBuilder] Update signature of `getRegsAndSizes()`.
ClosedPublic

Authored by joechrisellis on Nov 25 2020, 5:58 AM.

Details

Summary

The mapping between registers and relative size has been updated to
use TypeSize to account for the size of scalable EVTs.

The patch is a NFCI, if not for the fact that with this change the
function getUnderlyingArgRegs does not raise a warning for implicit
conversion of TypeSize to unsigned when generating machine code
from the test added to the patch.

Diff Detail

Event Timeline

fpetrogalli created this revision.Nov 25 2020, 5:58 AM
Herald added a project: Restricted Project. · View Herald TranscriptNov 25 2020, 5:58 AM
fpetrogalli requested review of this revision.Nov 25 2020, 5:58 AM

Fix formatting in test. NFC

Test name should be more descriptive

llvm/test/CodeGen/AArch64/reproducer.ll
22 ↗(On Diff #307597)

Is all the debug info really necessary?

Rename test file. NFC.

fpetrogalli marked an inline comment as done.Nov 27 2020, 1:39 AM
fpetrogalli added inline comments.
llvm/test/CodeGen/AArch64/reproducer.ll
22 ↗(On Diff #307597)

I removed as much as I could, anything less than this seems to make llc unhappy.

fpetrogalli marked an inline comment as done.

NFC: fix code formatting.

NFC. Rename declare in test.

arsenm accepted this revision.Nov 30 2020, 7:01 AM
arsenm added inline comments.
llvm/test/CodeGen/AArch64/sdag-no-typesize-warnings-regandsizes.ll
25

This is removable

34

It is possible to hack on the fields here but it's a pain

This revision is now accepted and ready to land.Nov 30 2020, 7:01 AM
joechrisellis commandeered this revision.Nov 30 2020, 9:27 AM
joechrisellis edited reviewers, added: fpetrogalli; removed: joechrisellis.

Eliminate superfluous debug info from test.

joechrisellis marked 2 inline comments as done.Nov 30 2020, 9:33 AM

Hi @arsenm, I am finishing up this patch. 😄

I've reduced the debug info where possible. Will assume that you're happy with this small change and will push tomorrow, probably. Let me know otherwise!

arsenm accepted this revision.Nov 30 2020, 9:34 AM
This revision was landed with ongoing or failed builds.Nov 30 2020, 9:39 AM
This revision was automatically updated to reflect the committed changes.